/**
 * Logger module.
 * @namespace serverside.logger
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    newBatchLogger: getRequire('./new_batch_logger'),
    newErrorLogger: getRequire('./new_error_logger'),
    newServerLogger: getRequire('./new_server_logger')

});
